{ pkgs, lib, ... }:

{
  programs.zed-editor = {
    enable = true;
    extensions = [
      "nix"
      "rust"

      "rosé pine"
      "catppuccin blur"
      
      "typescript"
      "javascript"
      "html"
      "css"

      "go"
      "python"

      "json"
      "yaml"
      "toml"

      "markdown"      
    ];
    extraPackages = [ pkgs.nixd ];

    userSettings = {
      theme = lib.mkDefault {
        mode = "system";
        dark = "Catppuccin Frappé (Blur)";
        light = "Rosé Pine Dawn";
      };
      hour_format = "hour24";
      tab_size = 2;
      language_models = {
        ollama = {
          api_url = "http://localhost:11434";
        };
      };
    };
  };
}
